package com.tin.tds.util;



import java.io.File;
import java.io.FileInputStream;
import java.util.Properties;
import java.util.StringTokenizer;

public class Parameters
{
   //public static String certificateFile = "NSDL-Root.cer"; //commented by shruti
	//public static String certificateFile = "nsdl.cer";
	public static String certificateFile = "e-mudhra.cer"; //added by shruti
	public static boolean ignoreHashing = false;
	public static boolean ignoreVersioning = false;
	public static boolean ignoreRecordLevelHashing = false;
    
	
	//public static String fvuVersion[] = { "FVU 6.9"}; //Changes added for 6.9_2.165_2.1297 by puja
	public static String fvuVersion[] = { "FVU 7.8"}; //Changes added for 7.4_2.170_2.1302 by Kiran
	
	public static String samVersion[] = { "SAM 1.0","SAM 2.0","SAM 1.84","SAM 3.0","SAM 3.1","SAM 3.2","SAM 3.3","SAM 3.4","SAM 3.6","SAM 3.7","SAM 3.8","SAM 3.9","SAM 4.0","SAM 4.1","SAM 4.2","SAM 2.5","SAM 3.33","SAM 4.3","SAM 5.13","SAM 5.14","SAM 5.16","SAM 5.34","SAM 5.37"};
    public static String scmVersion[] = { "SCM 2.9","SCM 3.0","SCM 3.1","SCM 3.2","SCM 3.3","SCM 3.4","SCM 1.0","SCM 1.5","SCM 2.0","SCM 3.5","SCM 4.12","SCM 4.15","SCM 4.17" };
    //	public static final int maxVersionLength = 10;
	public static int maxHashCodeLength = 20;
        
    
      //-----code changed for validation of structurally valid deductee ---Manvendra Singh 05/09/2009
      //----------------------------------------------------------------------------
      public static boolean considerRemarkField = true ;
      public static int LeastCountofdeducteetovalidate = 0 ;  
      public static int salaryPercentage = 90 ;
      public static int Nonsalarypercentage = 70 ;
      public static String validation_param_date = "01102007" ;
      public static String [] NonValidation_period = {"200203Q1"} ;
      
      //######################## New Changes for Structurally valid Pan --- Manvendra Singh
      // -- 13 -Feb-2008
      public static String validation_new_param_date = "01042008" ;
      public static int newsalaryPercentage = 95 ;
      public static int newNonsalarypercentage = 85 ;
      
      //----------------------------------------------------------------------------
      
     public static boolean consMandatory=true;
     
     //Added For Mandatory CSI File
     public static boolean csiMandatory=true;

	static {
		try
		{
			File file = new File("tin_config/TDSHashing.properties");
			if (file.exists() == true)
			{
				Properties p = new Properties();
				p.load(new FileInputStream(file));

				//				if (p.getProperty("IgnoreHashing").equalsIgnoreCase("true"))
				//					ignoreHashing = true;
				//
				//				if (p.getProperty("IgnoreVersioning").equalsIgnoreCase("true"))
				//					ignoreVersioning = true;
				//
				//				if (p.getProperty("IgnoreRecordLevelHashing").equalsIgnoreCase("true"))
				//					ignoreRecordLevelHashing = true;

				ignoreHashing = Boolean.valueOf(p.getProperty("IgnoreHashing")).booleanValue();
				ignoreVersioning = Boolean.valueOf(p.getProperty("IgnoreVersioning")).booleanValue();
				ignoreRecordLevelHashing = Boolean.valueOf(p.getProperty("IgnoreRecordLevelHashing")).booleanValue();

				String sVersion;

				sVersion = p.getProperty("FVUVersion");
				if (sVersion != null)
				{
					StringTokenizer st = new StringTokenizer(sVersion, ",");
					int count = st.countTokens();
					fvuVersion = new String[count];
					for (int i = 0; i < count; i++)
					{
						fvuVersion[i] = st.nextToken().trim();
					}
				}

				sVersion = p.getProperty("SAMVersion");
				if (sVersion != null)
				{
					StringTokenizer st = new StringTokenizer(sVersion, ",");
					int count = st.countTokens();
					samVersion = new String[count];
					for (int i = 0; i < count; i++)
					{
						samVersion[i] = st.nextToken().trim();
					}
				}

				sVersion = p.getProperty("SCMVersion");
				if (sVersion != null)
				{
					StringTokenizer st = new StringTokenizer(sVersion, ",");
					int count = st.countTokens();
					scmVersion = new String[count];
					for (int i = 0; i < count; i++)
					{
						scmVersion[i] = st.nextToken().trim();
					}
				}
               
              //-----code changed for validation of structurally valid deductee ---Manvendra Singh 05/09/2009
              //----------------------------------------------------------------------------
                String YrQtr = p.getProperty("NonValidation_period");
                 if (YrQtr != null)
                 {
                     StringTokenizer st = new StringTokenizer(YrQtr , ",");
                     int count = st.countTokens();
                     NonValidation_period = new String [count];
                     for ( int i=0 ; i < count ; i++ )
                     { 
                        NonValidation_period[i] =  st.nextToken().trim(); 
                     }
                 }
             //----------------------------------------------------------------------------

                String vlidationear;
				//				maxVersionLength = Integer.parseInt(p.getProperty("MAXVersionLength"));
				maxHashCodeLength = Integer.parseInt(p.getProperty("MaxHashCodeLength"));
                
                  //-----code changed for validation of structurally valid deductee ---Manvendra Singh 05/09/2009
                  //----------------------------------------------------------------------------
                  File f = new File("tin_config/tds.properties");
                  if (f.exists())
                     {
                       Properties pr = new Properties();
                       pr.load(new FileInputStream(f));
                       considerRemarkField = Boolean.valueOf(pr.getProperty("considerRemarkField")).booleanValue();
                       LeastCountofdeducteetovalidate = Integer.parseInt(pr.getProperty("LeastCountofdeducteetovalidate"));
                       salaryPercentage = Integer.parseInt(pr.getProperty("salaryPercentage"));
                       Nonsalarypercentage = Integer.parseInt(pr.getProperty("Nonsalarypercentage"));
                       validation_param_date = pr.getProperty("validation_param_date");
                       validation_new_param_date = pr.getProperty("validation_new_param_date");
                       newsalaryPercentage = Integer.parseInt(pr.getProperty("newsalaryPercentage"));
                       newNonsalarypercentage = Integer.parseInt(pr.getProperty("newNonsalarypercentage"));
                       
                     }
			}
		}
		catch (Exception e)
		{
		}
	}
}