package com.tin.tds.bean;

/*
 * Classname			:	FileStatistics.java
 * 
 * Version information  :	1
 * 
 * Date					:	Apr 7, 2005
 * 
 * Copyright notice		:	TCS
 */
import java.io.Serializable;
import java.util.ArrayList;

/**
 * @author TCS
 */
public class FileStatistics implements Serializable
{
	private String Receipt_Number = "-";
	private String Name_of_Deductor = "-";
	private String Name_of_Last_Deductor = "-"; // ADDED ON 20-Sept-2005
	private String Date = "-";
	private String TAN = "-";
	private String LastTAN = "-";
	private String AO_Code = "-";
	private String Form_No = "-";
	private String Upload_Type = "-";
	private String Periodicity = "-";
	private String Transaction_Type = "-";
	private String Financial_Year = "-";
	private String No_of_Deductee_Records = "-";
	
	private String Total_Amount_paid_credited_Org_Mode = "-";
	private String Total_Amount_paid_credited_Updt_Mode = "-";
	private String Total_Amount_paid_credited_Add_Mode = "-";

	private String Total_Amount_deposited_Org_Mode = "-";
	private String Total_Amount_deposited_Updt_Mode = "-";
	private String Total_Amount_deposited_Add_Mode = "-";
	private String Total_Amount_deposited_Del_Mode = "-";

	private String Total_Tax_Deducted_Org_Mode = "-";
	private String Total_Tax_Deducted_Updt_Mode = "-";
	private String Total_Tax_Deducted_Add_Mode = "-";
	private String Total_Tax_Deducted_Del_Mode = "-";

	private String No_of_challans = "-";
	private String No_of_Accepted_Challans = "-"; // added on 18-MAY-2005 Hiren
	private String Total_Challan_Amount = "-";
	private String Upload_Fee = "-";
	private String No_of_Salary_Detail = "-";
	private String Total_Income_As_Per_SD = "-";
	private String No_of_PAN_Applied = "-";
	private String No_of_PAN_NotAvailabble = "-";
	private String No_of_PAN_Invalid = "-";
	private String No_of_LS = "";
	private String No_of_LD = "";
	private String No_DD_C5 = "-";
	
	private String No_SD_C5 = "-";
//	 Added for change in statistics File Data ----- Nahush (21 Oct 08)
	
	private String No_of_sal_PAN_Applied = "-";
	private String No_of_sal_PAN_Invalid = "-";
	private String No_of_sal_PAN_NotAvailabble = "-";
	private String No_of_Valid_Sal_Pan ="-";
	//	Statistic File Fields
	private String PAN_of_TAN = "-";
	private String PAN_Report_Table = "";
	private String Assmnt_Year = "";
	private String Form_Type = "";
	private String Total_Value_of_Purchase = "-";
	private String No_of_Valid_Pan = "-";
	// Error File Fields
	private String Line_No = "-";
	private String Batch_No = "-";
	private String Challan_No = "-";
	private String Deductee_No = "-";
	private String Error_Code = "-";
	private String Error_Description = "-";
    //------------- Nahush
	private String Current_Upload_Type = "-";
	private String Field_name = "-";
	private String challan_Tender_date = "-";
	private String challan_Serial_No = "-";
	private String bsr_Code = "-";
	private String record_Type = "-";

	//Added by sourabh
	private static String cinFileName = null;
	private static int cinErrorCode ;
	private static int cinUploadFlag = 0;
	
	
	private  String challanCount = "0";
	private  String transferVoucherCount = "0";
	private  String challanAmount = "0";
	private  String transferVoucherAmount = "0";
	private  String bookCashFlag = "";
	
	
	private  String totalCINMatchChallan = "0";
	private  String totalCINNotMathcedChallan = "0";
	private  String totalCINChallan = "0";
	
	private String sec194PCount = "0";
	//End by sourabh 
	//-------------
	
	//Added By AMI For FVU 3.0
	
	private String totalDDCntForHigherRate = "";
	
	public String getAO_Code()
	{
		return AO_Code;
	}

	public String getDate()
	{
		return Date;
	}

	public String getFinancial_Year()
	{
		return Financial_Year;
	}

	public String getName_of_Deductor()
	{
		return Name_of_Deductor;
	}

	public String getNo_of_challans()
	{
		return No_of_challans;
	}

	public String getNo_of_Deductee_Records()
	{
		return No_of_Deductee_Records;
	}

	public String getNo_of_Salary_Detail()
	{
		return No_of_Salary_Detail;
	}

	public String getPeriodicity()
	{
		return Periodicity;
	}

	public String getReceipt_Number()
	{
		return Receipt_Number;
	}

	public String getTAN()
	{
		return TAN;
	}

	public String getTotal_Challan_Amount()
	{
		return Total_Challan_Amount;
	}

	public String getUpload_Fee()
	{
		return Upload_Fee;
	}

	public void setAO_Code(String string)
	{
		AO_Code = string;
	}

	public void setDate(String string)
	{
		Date = string;
	}

	public void setFinancial_Year(String string)
	{
		Financial_Year = string;
	}

	public void setName_of_Deductor(String string)
	{
		Name_of_Deductor = string;
	}

	public void setNo_of_challans(String string)
	{
		No_of_challans = string;
	}

	public void setNo_of_Deductee_Records(String string)
	{
		No_of_Deductee_Records = string;
	}

	public void setNo_of_Salary_Detail(String string)
	{
		No_of_Salary_Detail = string;
	}

	public void setPeriodicity(String string)
	{
		Periodicity = string;
	}

	public void setReceipt_Number(String string)
	{
		Receipt_Number = string;
	}

	public void setTAN(String string)
	{
		TAN = string;
	}

	public void setTotal_Challan_Amount(String string)
	{
		Total_Challan_Amount = string;
	}

	public void setUpload_Fee(String string)
	{
		Upload_Fee = string;
	}

	public String getNo_of_PAN_Applied()
	{
		return No_of_PAN_Applied;
	}

	public String getNo_of_PAN_Invalid()
	{
		return No_of_PAN_Invalid;
	}

	public String getNo_of_PAN_NotAvailabble()
	{
		return No_of_PAN_NotAvailabble;
	}

	public void setNo_of_PAN_Applied(String string)
	{
		No_of_PAN_Applied = string;
	}

	public void setNo_of_PAN_Invalid(String string)
	{
		No_of_PAN_Invalid = string;
	}

	public void setNo_of_PAN_NotAvailabble(String string)
	{
		No_of_PAN_NotAvailabble = string;
	}

	public String getNo_of_LD()
	{
		return No_of_LD;
	}

	public String getNo_of_LS()
	{
		return No_of_LS;
	}

	public void setNo_of_LD(String string)
	{
		No_of_LD = string;
	}

	public void setNo_of_LS(String string)
	{
		No_of_LS = string;
	}

	public String getTotal_Income_As_Per_SD()
	{
		return Total_Income_As_Per_SD;
	}

	public void setTotal_Income_As_Per_SD(String string)
	{
		Total_Income_As_Per_SD = string;
	}

	public String getUpload_Type()
	{
		return Upload_Type;
	}

	public void setUpload_Type(String string)
	{
		Upload_Type = string;
	}

	public String getForm_No()
	{
		return Form_No;
	}

	public String getTransaction_Type()
	{
		return Transaction_Type;
	}

	public void setForm_No(String string)
	{
		Form_No = string;
	}

	public void setTransaction_Type(String string)
	{
		Transaction_Type = string;
	}

	public String getAssmnt_Year()
	{
		return Assmnt_Year;
	}

	public String getForm_Type()
	{
		return Form_Type;
	}

	public String getPAN_of_TAN()
	{
		return PAN_of_TAN;
	}

	public String getPAN_Report_Table()
	{
		return PAN_Report_Table;
	}

	public void setAssmnt_Year(String string)
	{
		Assmnt_Year = string;
	}

	public void setForm_Type(String string)
	{
		Form_Type = string;
	}

	public void setPAN_of_TAN(String string)
	{
		PAN_of_TAN = string;
	}

	public void setPAN_Report_Table(String string)
	{
		PAN_Report_Table = string;
	}

	public String getTotal_Value_of_Purchase()
	{
		return Total_Value_of_Purchase;
	}

	public void setTotal_Value_of_Purchase(String string)
	{
		Total_Value_of_Purchase = string;
	}

	public String getNo_of_Valid_Pan()
	{
		return No_of_Valid_Pan;
	}

	public void setNo_of_Valid_Pan(String string)
	{
		No_of_Valid_Pan = string;
	}

	public String getBatch_No()
	{
		return Batch_No;
	}

	public String getChallan_No()
	{
		return Challan_No;
	}

	public String getDeductee_No()
	{
		return Deductee_No;
	}

	public String getError_Code()
	{
		return Error_Code;
	}

	public String getError_Description()
	{
		return Error_Description;
	}

	public void setBatch_No(String string)
	{
		Batch_No = string;
	}

	public void setChallan_No(String string)
	{
		Challan_No = string;
	}

	public void setDeductee_No(String string)
	{
		Deductee_No = string;
	}

	public void setError_Code(String string)
	{
		Error_Code = string;
	}

	public void setError_Description(String string)
	{
		Error_Description = string;
	}

	public String getLine_No()
	{
		return Line_No;
	}

	public void setLine_No(String string)
	{
		Line_No = string;
	}

	public String getNo_of_Accepted_Challans()
	{
		return No_of_Accepted_Challans;
	}

	public void setNo_of_Accepted_Challans(String string)
	{
		No_of_Accepted_Challans = string;
	}

	public String getLastTAN()
	{
		return LastTAN;
	}

	public void setLastTAN(String string)
	{
		LastTAN = string;
	}

	public String getTotal_Amount_deposited_Add_Mode()
	{
		return Total_Amount_deposited_Add_Mode;
	}

	public String getTotal_Amount_deposited_Del_Mode()
	{
		return Total_Amount_deposited_Del_Mode;
	}

	public String getTotal_Amount_deposited_Org_Mode()
	{
		return Total_Amount_deposited_Org_Mode;
	}

	public String getTotal_Amount_deposited_Updt_Mode()
	{
		return Total_Amount_deposited_Updt_Mode;
	}

	public String getTotal_Amount_paid_credited_Add_Mode()
	{
		return Total_Amount_paid_credited_Add_Mode;
	}

	public String getTotal_Amount_paid_credited_Org_Mode()
	{
		return Total_Amount_paid_credited_Org_Mode;
	}

	public String getTotal_Amount_paid_credited_Updt_Mode()
	{
		return Total_Amount_paid_credited_Updt_Mode;
	}

	public String getTotal_Tax_Deducted_Add_Mode()
	{
		return Total_Tax_Deducted_Add_Mode;
	}

	public String getTotal_Tax_Deducted_Del_Mode()
	{
		return Total_Tax_Deducted_Del_Mode;
	}

	public String getTotal_Tax_Deducted_Org_Mode()
	{
		return Total_Tax_Deducted_Org_Mode;
	}

	public String getTotal_Tax_Deducted_Updt_Mode()
	{
		return Total_Tax_Deducted_Updt_Mode;
	}

	public void setTotal_Amount_deposited_Add_Mode(String string)
	{
		Total_Amount_deposited_Add_Mode = string;
	}

	public void setTotal_Amount_deposited_Del_Mode(String string)
	{
		Total_Amount_deposited_Del_Mode = string;
	}

	public void setTotal_Amount_deposited_Org_Mode(String string)
	{
		Total_Amount_deposited_Org_Mode = string;
	}

	public void setTotal_Amount_deposited_Updt_Mode(String string)
	{
		Total_Amount_deposited_Updt_Mode = string;
	}

	public void setTotal_Amount_paid_credited_Add_Mode(String string)
	{
		Total_Amount_paid_credited_Add_Mode = string;
	}

	public void setTotal_Amount_paid_credited_Org_Mode(String string)
	{
		Total_Amount_paid_credited_Org_Mode = string;
	}

	public void setTotal_Amount_paid_credited_Updt_Mode(String string)
	{
		Total_Amount_paid_credited_Updt_Mode = string;
	}

	public void setTotal_Tax_Deducted_Add_Mode(String string)
	{
		Total_Tax_Deducted_Add_Mode = string;
	}

	public void setTotal_Tax_Deducted_Del_Mode(String string)
	{
		Total_Tax_Deducted_Del_Mode = string;
	}

	public void setTotal_Tax_Deducted_Org_Mode(String string)
	{
		Total_Tax_Deducted_Org_Mode = string;
	}

	public void setTotal_Tax_Deducted_Updt_Mode(String string)
	{
		Total_Tax_Deducted_Updt_Mode = string;
	}

	public String getNo_DD_C5()
	{
		return No_DD_C5;
	}

	public String getNo_SD_C5()
	{
		return No_SD_C5;
	}

	public void setNo_DD_C5(String string)
	{
		No_DD_C5 = string;
	}

	public void setNo_SD_C5(String string)
	{
		No_SD_C5 = string;
	}

	/**
	 * @return
	 */
	public String getName_of_Last_Deductor()
	{
		return Name_of_Last_Deductor;
	}

	/**
	 * @param string
	 */
	public void setName_of_Last_Deductor(String string)
	{
		Name_of_Last_Deductor = string;
	}

	//Nahush
	public String get_Upload_Type()
	{
		return Current_Upload_Type;
	}

// ---------------	Nahush
	public void set_Upload_Type(String string)
	{
		Current_Upload_Type = string;
	}

	public void set_Field_Name(String string)
	{
		Field_name = string;
	}

	public String get_Field_Name()
	{
		return Field_name;
	}
//	 ---------------	

//	 Added for change in statistics File Data ----- Nahush (21 Oct 08)

public String getNo_of_sal_PAN_Applied()
{
	return No_of_sal_PAN_Applied;
}

public String getNo_of_sal_PAN_Invalid()
{
	return No_of_sal_PAN_Invalid;
}

public String getNo_of_sal_PAN_NotAvailabble()
{
	return No_of_sal_PAN_NotAvailabble;
}

public void setNo_of_sal_PAN_Applied(String string)
{
	No_of_sal_PAN_Applied = string;
}

public void setNo_of_sal_PAN_Invalid(String string)
{
	No_of_sal_PAN_Invalid = string;
}

public void setNo_of_Sal_PAN_NotAvailable(String string)
{
	No_of_sal_PAN_NotAvailabble = string;
}

public String getNo_of_Sal_Valid_Pan()
{
	return No_of_Valid_Sal_Pan;
}


public String getChallan_Tender_date()
{
	return challan_Tender_date;
}
public String getChallan_Serial_No()
{
	return challan_Serial_No;
}
public String getBSR_Code()
{
	return bsr_Code;
}

public String getRecord_Type()
{
	return record_Type;
}
public void setNo_of_Sal_Valid_Pan(String string)
{
	No_of_Valid_Sal_Pan = string;
}
public void setChallan_Tender_date(String string)
{
	challan_Tender_date = string;
}
public void setChallan_Serial_No(String string)
{
	challan_Serial_No = string;
}
public void setBSR_Code(String string)
{
	bsr_Code = string;
}

public void setRecord_Type(String string)
{
	record_Type = string;
}

	/**
	 * @return
	 */
	public static int getCinErrorCode() {
		return cinErrorCode;
	}

	/**
	 * @return
	 */
	public static String getCinFileName() {
		return cinFileName;
	}

	
	/**
	 * @param i
	 */
	public static void setCinErrorCode(int i) {
		cinErrorCode = i;
	}

	/**
	 * @param string
	 */
	public static void setCinFileName(String string) {
		cinFileName = string;
	}

	
	/**
	 * @return
	 */
	public static int getCinUploadFlag() {
		return cinUploadFlag;
	}

	/**
	 * @param i
	 */
	public static void setCinUploadFlag(int i) {
		cinUploadFlag = i;
	}

	
	/**
	 * @return
	 */
	public  String getBookCashFlag() {
		return bookCashFlag;
	}

	/**
	 * @return
	 */
	public  String getChallanAmount() {
		return challanAmount;
	}

	/**
	 * @return
	 */
	public  String getChallanCount() {
		return challanCount;
	}

	/**
	 * @return
	 */
	
	/**
	 * @return
	 */
	public  String getTotalCINMatchChallan() {
		return totalCINMatchChallan;
	}

	/**
	 * @return
	 */
	public  String getTotalCINNotMathcedChallan() {
		return totalCINNotMathcedChallan;
	}

	/**
	 * @return
	 */
	public  String getTransferVoucherAmount() {
		return transferVoucherAmount;
	}

	/**
	 * @return
	 */
	public  String getTransferVoucherCount() {
		return transferVoucherCount;
	}

	/**
	 * @return
	 */
	public String getBsr_Code() {
		return bsr_Code;
	}

	/**
	 * @return
	 */
	public String getCurrent_Upload_Type() {
		return Current_Upload_Type;
	}

	/**
	 * @return
	 */
	public String getField_name() {
		return Field_name;
	}

	/**
	 * @return
	 */
	public String getNo_of_Valid_Sal_Pan() {
		return No_of_Valid_Sal_Pan;
	}

	/**
	 * @param c
	 */
	public  void setBookCashFlag(String c) {
		bookCashFlag = c;
	}

	/**
	 * @param string
	 */
	public  void setChallanAmount(String string) {
		challanAmount = string;
	}

	/**
	 * @param string
	 */
	public  void setChallanCount(String string) {
		challanCount = string;
	}

	
	public  void setTotalCINMatchChallan(String string) {
		totalCINMatchChallan = string;
	}

	/**
	 * @param string
	 */
	public  void setTotalCINNotMathcedChallan(String string) {
		totalCINNotMathcedChallan = string;
	}

	/**
	 * @param string
	 */
	public  void setTransferVoucherAmount(String string) {
		transferVoucherAmount = string;
	}

	/**
	 * @param string
	 */
	public  void setTransferVoucherCount(String string) {
		transferVoucherCount = string;
	}

	/**
	 * @param string
	 */
	public void setBsr_Code(String string) {
		bsr_Code = string;
	}

	/**
	 * @param string
	 */
	public void setCurrent_Upload_Type(String string) {
		Current_Upload_Type = string;
	}

	/**
	 * @param string
	 */
	public void setField_name(String string) {
		Field_name = string;
	}

	/**
	 * @param string
	 */
	public void setNo_of_sal_PAN_NotAvailabble(String string) {
		No_of_sal_PAN_NotAvailabble = string;
	}

	/**
	 * @param string
	 */
	public void setNo_of_Valid_Sal_Pan(String string) {
		No_of_Valid_Sal_Pan = string;
	}

	/**
	 * @return
	 */
	public String getTotalCINChallan() {
		return totalCINChallan;
	}

	/**
	 * @param string
	 */
	public void setTotalCINChallan(String string) {
		totalCINChallan = string;
	}
	
	//Added By AMI For FVU 3.0
	
	public  String gettotalDDCntForHigherRate() {
		return totalDDCntForHigherRate;
	}
	
	public  void settotalDDCntForHigherRate(String string) {
		totalDDCntForHigherRate = string;
	}
	//End
	//FVU 7.6 BUG FIX
	public String getSec194PCount() {
		return sec194PCount;
	}

	public void setSec194PCount(String sec194pCount) {
		sec194PCount = sec194pCount;
	}
}